curl --request POST \
--url https://example.com/api/validator/v0/wallet/buy-traffic-requests/{tracking_id}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://example.com/api/validator/v0/wallet/buy-traffic-requests/{tracking_id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://example.com/api/validator/v0/wallet/buy-traffic-requests/{tracking_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>"
}{
"error": "<string>"
}POST /v0/wallet/buy-traffic-requests/:tracking_id/status
Check the status of a buy traffic request with a given tracking id.
Authorizations
JWT token as described in spliceAppBearerAuth [blocked]. The subject of the token must be ledger API user of the user whose wallet the endpoint affects.
Path Parameters
Response
A request to buy traffic with this tracking id has been submitted before, check the response for details.
- Option 1
- Option 2
- Option 3
The status of the traffic request created: The request to buy traffic has been created and is waiting for the wallet automation to pick it up. completed: The traffic has been purchased. transaction_id points to the transaction that purchased traffic. failed: The request to buy traffic has failed permanently and no CC has been transferred. Refer to failure_reason for details. Use a new tracking_id if you want to retry buying traffic.
Was this page helpful?